Search across transactions, balances, ledgers, and identities with filtering, sorting, and pagination.
curl -X POST "http://YOUR_BLNK_INSTANCE_URL/search/transactions" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"q": "*",
"filter_by": "status:=APPLIED && currency:=USD",
"sort_by": "created_at:desc",
"page": 1,
"per_page": 10
}'
{
"facet_counts": [],
"found": 2,
"hits": [
{
"document": {
"amount": 532,
"created_at": 1758116489,
"currency": "USD",
"description": "Test transaction",
"destination": "bln_20666087-1355-4736-ba04-3ba92a7542b9",
"id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5",
"precise_amount": 53200,
"precision": 100,
"reference": "ref-001",
"source": "bln_93fb50c2-969e-49c2-bb61-ef5ed245516e",
"status": "APPLIED",
"transaction_id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5"
},
"highlights": [],
"text_match": 578730123365711993
}
],
"out_of": 232,
"page": 1,
"per_page": 10,
"request_params": {
"collection_name": "transactions",
"per_page": 10,
"q": "*"
},
"search_cutoff": false,
"search_time_ms": 2
}
X-blnk-key: <api-key>.
Replace <api-key> with your secret API key. Ensure the key is kept secure and not exposed in public repositories or client-side code.
See also: Secure your Blnk server
transactions - Search through all transaction recordsbalances - Find balance records across all ledgersledgers - Locate specific ledgers by name or metadataidentities - Search customer identity records* to return all records. Supports full-text search when combined with query_by. Learn more: Querying"source,destination" - Search in source and destination fields"first_name,last_name,email" - Search in identity name and email fields:=, :>, :<, :>=, :<=, :!=, and ranges. Learn more: FilteringExamples:"status:=APPLIED" - Filter by exact status"amount:>1000" - Filter by amount greater than 1000"status:=APPLIED && currency:=USD" - Multiple conditions"created_at:[1704067200..1706745599]" - Date range filterfield:direction where direction is asc or desc. Multiple fields: field1:desc,field2:asc. Learn more: SortingExamples:"created_at:desc" - Sort by creation date descending"amount:desc,created_at:asc" - Sort by amount then datedocument object with the record data and optional highlights for matched terms.Show Hit object structure
curl -X POST "http://YOUR_BLNK_INSTANCE_URL/search/transactions" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"q": "*",
"filter_by": "status:=APPLIED && currency:=USD",
"sort_by": "created_at:desc",
"page": 1,
"per_page": 10
}'
{
"facet_counts": [],
"found": 2,
"hits": [
{
"document": {
"amount": 532,
"created_at": 1758116489,
"currency": "USD",
"description": "Test transaction",
"destination": "bln_20666087-1355-4736-ba04-3ba92a7542b9",
"id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5",
"precise_amount": 53200,
"precision": 100,
"reference": "ref-001",
"source": "bln_93fb50c2-969e-49c2-bb61-ef5ed245516e",
"status": "APPLIED",
"transaction_id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5"
},
"highlights": [],
"text_match": 578730123365711993
}
],
"out_of": 232,
"page": 1,
"per_page": 10,
"request_params": {
"collection_name": "transactions",
"per_page": 10,
"q": "*"
},
"search_cutoff": false,
"search_time_ms": 2
}
Was this page helpful?
curl -X POST "http://YOUR_BLNK_INSTANCE_URL/search/transactions" \
-H "X-Blnk-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"q": "*",
"filter_by": "status:=APPLIED && currency:=USD",
"sort_by": "created_at:desc",
"page": 1,
"per_page": 10
}'
{
"facet_counts": [],
"found": 2,
"hits": [
{
"document": {
"amount": 532,
"created_at": 1758116489,
"currency": "USD",
"description": "Test transaction",
"destination": "bln_20666087-1355-4736-ba04-3ba92a7542b9",
"id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5",
"precise_amount": 53200,
"precision": 100,
"reference": "ref-001",
"source": "bln_93fb50c2-969e-49c2-bb61-ef5ed245516e",
"status": "APPLIED",
"transaction_id": "txn_cd728825-a6e1-4fae-9277-c3235a045ea5"
},
"highlights": [],
"text_match": 578730123365711993
}
],
"out_of": 232,
"page": 1,
"per_page": 10,
"request_params": {
"collection_name": "transactions",
"per_page": 10,
"q": "*"
},
"search_cutoff": false,
"search_time_ms": 2
}